<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,15,20);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $grupo=$_POST['grupoest'];
    $this->Cell(80);
    $this->Cell(40,0,'LISTA DE GRUPOS/CURSOS ORDENADA POR PROMEDIO',0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('P','mm','letter');

$pdf->AddPage();
$pdf->SetMargins(15, 1, 10);

$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
include("../php/conexion-bdie.php");

$contador="0";
$reggrados=mysql_query("Select idgrado From datos_grados Where estado='1'",$db_basededatosie);
while ($FilaGrado=mysql_fetch_array($reggrados)){
	$idgrado=$FilaGrado["idgrado"];
	$reggrupos=mysql_query("Select idgrupo,descripcion From datos_grupos Where idgrado='$idgrado' And danesede='$danesede' And estado='1'",$db_basededatosie);
	while ($FilaGrupo=mysql_fetch_array($reggrupos)){
		$idgrupo=$FilaGrupo["idgrupo"];
		$promediogrupo=number_format(0,2);$contadoralumnos=0;$totalcurso=0;
		$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' And estado='1'",$db_basededatosie);
		while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
			$nuid=$FilaMatriculado["nuid"];	$sumanotas=0; $numnotas=0;
			$regnotas=mysql_query("Select * From datos_notastipo1 Where nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotas)){
				$definitiva=number_format($FilaNotas[definitiva],1);
				$idasignatura=$FilaNotas[idasignatura];
				$res_asignaturas=mysql_query("Select ih From datos_asignaturas Where idasignatura='$idasignatura'",$db_basededatosie);
				$reg_asignatura=mysql_fetch_array($res_asignaturas);
				if ($reg_asignatura[ih]!=0){
					$sumanotas+=$definitiva;
					$numnotas+=1;
				}
			}
			$promedioestudiante=number_format($sumanotas/$numnotas,2);
			$totalcurso+=$promedioestudiante;
			$contadoralumnos=$contadoralumnos+1;
		}   
		if ($contadoralumnos)
			$promediogrupo=number_format($totalcurso/$contadoralumnos,2);
		
		$gruposdesordenados[$contador]=$promediogrupo.$FilaGrupo["descripcion"];
		$contador=$contador+1;
	}
}

// Ordenar el array ... 
if ($gruposdesordenados)
	rsort($gruposdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay Grados',1,1,'C');

$pdf->SetFont('Arial','B','10');
$pdf->Ln(2);
$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(85,5,'GRADO Y GRUPO/CURSO',1,0,'C'); $pdf->Cell(20,5,'PROMEDIO',1,1,'C');
$pdf->SetFont('Arial','','8');
for ($i=0;$i<$contador;$i++) {
	$nombregrupo=substr($gruposdesordenados[$i],4,strlen($gruposdesordenados[$i])-4);
	$promediofinal=substr($gruposdesordenados[$i],0,4);
	$pdf->Cell(10,8-4,$i+1,1,0,'C');
	$pdf->Cell(85,8-4,$nombregrupo,1,0,'L');
	$pdf->Cell(20,8-4,$promediofinal,1,1,'C');
}
$pdf->Output();
?>